
# LaTeX Template für Bachelor-/Masterabschlussarbeiten

Basiert auf dem [Template vom Labor für Verteilte
Systeme](https://wwwvs.cs.hs-rm.de/material/index.html). Das Template ist
veraltet (es steht u. a. noch "Fachhochschule Wiesbaden" statt "Hochschule
RheinMain" drin). In diesem Repo ist eine überarbeitete Version des Templates zu
finden. Dabei sollte sowohl inhaltlich als auch technisch alles aktualisiert
sein. Das Makefile wurde neu geschrieben und nutzt nun `latexmk` und `lualatex`.
Diese beiden Programme müssen vorher installiert werden. Außerdem wurden alle
Dateien auf unix lineendings sowie UTF-8 Kodierung umgestellt. Es werden keine
Tabs verwendet und mit zwei Leerzeichen eingerückt. Entsprechende Einstellungen
für vim sind als modeline am Ende jeder Quelldatei enthalten und werden so
automatisch erkannt. Das Paket `lstlisting` wurde durch
[`minted`](https://www.overleaf.com/learn/latex/Code_Highlighting_with_minted)
ersetzt. Daher muss zusätzlich Python und [Pygments](https://pygments.org/)
installiert sein. Das Paket `plantuml` erlaubt es, UML-Diagramme mittels
PlantUML direkt im LaTeX-Code zu erstllen. Dafür muss vorher die JAR-Datei von
[PlantUML](https://plantuml.com/download) heruntergeladen werden. Anschließend
muss die Environment-Variable `PLANTUML_JAR` gesetzt werden und auf die
JAR-Datei zeigen. Am besten fügt man dazu `export
PLANTUML_JAR="$HOME/pfad/zu/plantuml.jar"` ans Ende der Datei `~/.bashrc` hinzu
(danach Terminal neustarten oder `. ~/.bashrc` ausführen).


## Übersicht der Befehle

### `make` oder `make all`

Baut das PDF.


### `make clean`

Löscht alle generierten Dateien.


### `make preview`

Baut das PDF und öffnet es im PDF-Viewer.


### `make livepreview`

Baut das PDF und öffnet es im PDF-Viewer. Änderung an den Quelldateien werden
erkannt und das PDF anschließend automatisch neu gebaut. Der PDF-Viewer muss
erkennen, dass das PDF neu generiert wurde und es automatisch neu laden (wird
z. B. von `zathura` und `evince` unterstützt).


## Konfiguration

Der PDF-Viewer muss in der Datei `.latexmkrc` konfiguiert werden (`zathura` muss
installiert oder durch den verwendeten PDF-Viewer ersetzt werden, z. B.
`evince`).

